import argparse


def parse_args() -> argparse.Namespace:
    r"""Parses the command line arguments."""
    parser = argparse.ArgumentParser(description="ExplainingFramework")

    parser.add_argument(
        "--explaining_cfg",
        dest="explaining_cfg_file",
        type=str,
        required=True,
        help="The explaining configuration file path.",
    )
    parser.add_argument(
        "--gpu_id",
        type=int,
        help="If GPUs available, on which GPU to run experiment",
        default=0,
    )
    return parser.parse_args()
